Package net.snowflake.client.core.arrow.tostringhelpers

## Class ArrowStringRepresentationBuilderBase

- java.lang.Object
- - net.snowflake.client.core.arrow.tostringhelpers.ArrowStringRepresentationBuilderBase

Direct Known Subclasses:
  `ArrowArrayStringRepresentationBuilder`, `ArrowObjectStringRepresentationBuilder`

    @SnowflakeJdbcInternalApi
    public abstract class ArrowStringRepresentationBuilderBase
    extends Object

StringBuilder like class to aggregate the string representation of snowflake Native ARROW structured types as JSON one-liners. Provides some additional snowflake-specific logic in order to determine whether the value should be quoted or case should be changed.

### Constructor Summary

Constructors
`ArrowStringRepresentationBuilderBase​(String delimiter, String prefix, String suffix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ArrowStringRepresentationBuilderBase` `add​(String string)`
`protected String` `quoteIfNeeded​(String string, SnowflakeType type)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArrowStringRepresentationBuilderBase

    public ArrowStringRepresentationBuilderBase​(String delimiter,
                                                String prefix,
                                                String suffix)

### Method Detail

#### add

    protected ArrowStringRepresentationBuilderBase add​(String string)

#### quoteIfNeeded

    protected String quoteIfNeeded​(String string,
                                   SnowflakeType type)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`